# Class: AddWeightedAugmenter

## AddWeightedAugmenter(opts)

Adds noise sampled from a gaussian distribution

## Constructor

#### new AddWeightedAugmenter(opts)

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object

options

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`value` | Array.<Number> |  |  | length-3 RGB pixel to add to the images
`alpha` | Number | <optional> | 1 | if 0 = transparent overlay 1 = opaque

Source:
  - add-weighted.js, line 17

##### Example

    // Simple usage, overlay 10% opacity white layer over the image
    ia.addWeighted({
    	value: [255, 255, 255],
    	alpha: 0.1
    });